diff --git a/doc/src/sgml/ref/clusterdb.sgml b/doc/src/sgml/ref/clusterdb.sgml
index d3145318b36..0d2051bf6f1 100644
--- a/doc/src/sgml/ref/clusterdb.sgml
+++ b/doc/src/sgml/ref/clusterdb.sgml
@@ -248,9 +248,8 @@ PostgreSQL documentation
       <term><option>--maintenance-db=<replaceable class="parameter">dbname</replaceable></option></term>
       <listitem>
        <para>
-        Specifies the name of the database to connect to to discover which
-        databases should be clustered,
-        when <option>-a</option>/<option>--all</option> is used.
+        When the <option>-a</option>/<option>--all</option> is used, connect
+        to this database to gather the list of databases to cluster.
         If not specified, the <literal>postgres</literal> database will be used,
         or if that does not exist, <literal>template1</literal> will be used.
         This can be a <link linkend="libpq-connstring">connection
diff --git a/doc/src/sgml/ref/reindexdb.sgml b/doc/src/sgml/ref/reindexdb.sgml
index 98c3333228f..abcb041179b 100644
--- a/doc/src/sgml/ref/reindexdb.sgml
+++ b/doc/src/sgml/ref/reindexdb.sgml
@@ -352,9 +352,8 @@ PostgreSQL documentation
       <term><option>--maintenance-db=<replaceable class="parameter">dbname</replaceable></option></term>
       <listitem>
        <para>
-        Specifies the name of the database to connect to to discover which
-        databases should be reindexed,
-        when <option>-a</option>/<option>--all</option> is used.
+        When the <option>-a</option>/<option>--all</option> is used, connect
+        to this database to gather the list of databases to reindex.
         If not specified, the <literal>postgres</literal> database will be used,
         or if that does not exist, <literal>template1</literal> will be used.
         This can be a <link linkend="libpq-connstring">connection
diff --git a/doc/src/sgml/ref/vacuumdb.sgml b/doc/src/sgml/ref/vacuumdb.sgml
index d102f9d4840..b0680a61814 100644
--- a/doc/src/sgml/ref/vacuumdb.sgml
+++ b/doc/src/sgml/ref/vacuumdb.sgml
@@ -560,9 +560,8 @@ PostgreSQL documentation
       <term><option>--maintenance-db=<replaceable class="parameter">dbname</replaceable></option></term>
       <listitem>
        <para>
-        Specifies the name of the database to connect to to discover which
-        databases should be vacuumed,
-        when <option>-a</option>/<option>--all</option> is used.
+        When the <option>-a</option>/<option>--all</option> is used, connect
+        to this database to gather the list of databases to vacuum.
         If not specified, the <literal>postgres</literal> database will be used,
         or if that does not exist, <literal>template1</literal> will be used.
         This can be a <link linkend="libpq-connstring">connection
